
; ========================================================
;			
;    -- Jumclass.inc --
;			Jay Sullivan
; ========================================================
  
;#################################################
;#                Includes
;#################################################

	include windows.inc
	
	include user32.inc
	include kernel32.inc
	include gdi32.inc
	include comdlg32.inc
	include comctl32.inc
	
	includelib user32.lib
	includelib kernel32.lib
	includelib gdi32.lib
	includelib comdlg32.lib
	includelib comctl32.lib


;#################################################
;#                Macro
;#################################################



	$String MACRO sTEXT
		LOCAL szText
		.data
		 szText db sTEXT, 0
		.code
		EXITM <Offset szText>
	ENDM
	
;#################################################
;#                Prototypes
;#################################################

	;------| Main Functions  |------------
	
	WinMain PROTO :DWORD,:DWORD,:DWORD,:DWORD
	SaveFile	PROTO
	LoadFile	PROTO
	
	;------| Radix Functions  |------------
	RadixNotMatched PROTO index:DWORD, charmb:BYTE
	AddCharToRadix PROTO char:BYTE
	
	;------| String Functions  |------------

	SzCopy_dw PROTO lpsrc:DWORD,lpdest:DWORD

	

;#################################################
;#                Globals
;#################################################
	
	
	externdef hHeap:DWORD
	externdef pGlobalTally:DWORD
	externdef pGlobalRadix:DWORD
	externdef pGlobalText:DWORD
	externdef SizeGlobalTally:DWORD
	externdef SizeGlobalRadix:DWORD
	externdef SizeGlobalText:DWORD

;#################################################
;#                EQUs
;#################################################
	
	IDM_FILE_NEW	EQU 1
	IDM_FILE_OPEN	EQU 2
	IDM_FILE_SAVE	EQU 6
	IDM_HELP_ABOUT	EQU 3
	IDM_FILE_EXIT	EQU 4
	IDM_TheIcon		EQU 32
	
	
