
; ========================================================
;			
;    -- Jumber2.asm --
;			Jay Sullivan
; ========================================================
  

.386
.MODEL FLAT,STDCALL
OPTION CASEMAP:NONE

		
	
;#################################################
;#                INCLUDE
;#################################################
		
		include Jumber2.inc
		include Jumclass.inc
	
;#################################################
;#                .DATA
;#################################################
.data
	pGlobalTally dd 0
	pGlobalRadix dd 0
	pGlobalText dd 0
	SizeGlobalTally dd 0 ; DWORD index of tally
	SizeGlobalRadix dd 0 ; Size in BYTEs of Radix
	SizeGlobalText  dd 0 ; Size in BYTEs of Text  
	
	
	
	
	 			
	
	ofn OPENFILENAME <Sizeof OPENFILENAME, NULL, NULL, Offset saveAsFilter, NULL, NULL, 1,\
	                 Offset szFilePath, 4096, Offset szFileName, 4096, NULL, NULL, \
	                 OFN_FILEMUSTEXIST or OFN_OVERWRITEPROMPT or OFN_LONGNAMES or OFN_HIDEREADONLY,\
	                 NULL, NULL,NULL, 0, 0, 0>
	                 
.const 
	saveAsFilter db 'All Files (*.*)',0, '*.*', 0,0
	
	ClassName		DB "MainWinClass",0
	szAppName		DB "Jumber App",0
	MenuName		DB "FirstMenu",0
	szCEdit 	DB 'EDIT',0
	szCButton 	DB 'BUTTON',0
	szCStatic 	DB 'STATIC',0
	
	szQueryAddChar db "This character wasn't found in the radix, add it?",0
	szLblRadix	db	'Radix:',0
	szStatus1 	db 	'Error: '
	szStatus2	db  'alien character.',0
	szStatusOK 	db ' ',0
	
	szFont		db 'Courier New',0
	
	StatusWidths dd 100,200,300,400,500
	
.data?
	hInstance	HINSTANCE 	?
	hMenu		HMENU 	?
	hHeap		HANDLE 		?
	CommandLine	LPSTR ?
		
	hRadix		HWND ?
	hLblRadix	HWND ?
	hText		HWND ?
	hStatusBar	HWND ?
	
	
	outNumberOfBytesWritten dd ?

	szFileName  db 4096 dup(?)
	szFilePath  db 4096 dup(?)
	
;#################################################
;#                .CODE
;#################################################
	

.CODE
Start:
	invoke GetModuleHandle, NULL
	mov hInstance,eax
	invoke GetCommandLine
	mov CommandLine, eax
 	invoke GetProcessHeap
	mov hHeap, eax
	invoke WinMain, hInstance, NULL, CommandLine, SW_SHOWDEFAULT
	invoke ExitProcess,eax
	
WinMain PROC hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
LOCAL wc:WNDCLASSEX
LOCAL msg:MSG
LOCAL hwnd:HWND

	mov wc.cbSize, SizeOf WNDCLASSEX
	mov wc.style, CS_HREDRAW or CS_VREDRAW
	mov wc.lpfnWndProc, Offset WndProc
	mov wc.cbClsExtra,NULL
	mov wc.cbWndExtra,NULL
	mov eax, hInst
	mov wc.hInstance, eax
	mov wc.hbrBackground, COLOR_WINDOW+1
	mov wc.lpszMenuName, NULL
	mov wc.lpszClassName, Offset ClassName
	invoke LoadIcon, hInst, IDM_TheIcon
	mov wc.hIcon,eax
	mov wc.hIconSm,0
	invoke LoadCursor, NULL, IDC_ARROW
	mov wc.hCursor,eax
	invoke RegisterClassEx, addr wc
	invoke LoadMenu, hInst, Offset MenuName
	mov hMenu,eax
	
	
	;------------------------------------------------
	;	Main Window
	;------------------------------------------------
	invoke CreateWindowEx, WS_EX_CLIENTEDGE, ADDR ClassName, ADDR szAppName,\
           WS_OVERLAPPEDWINDOW or WS_CLIPCHILDREN, CW_USEDEFAULT,\
           CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, NULL, hMenu,\
           hInst, NULL
	mov hwnd,eax
	
	;------------------------------------------------
	;	Controls
	;------------------------------------------------
	invoke CreateWindowEx,WS_EX_STATICEDGE,ADDR szCEdit, ADDR hRadix,	WS_VISIBLE or WS_CHILD or WS_BORDER or ES_LEFT or ES_AUTOHSCROLL or WS_CLIPSIBLINGS,55,2,200,20,hwnd,0,hInst,0
	mov hRadix,eax
	invoke CreateWindowEx,WS_EX_STATICEDGE ,ADDR szCStatic, ADDR szLblRadix,	WS_VISIBLE or WS_CHILD or WS_BORDER or ES_CENTER or WS_CLIPSIBLINGS,2,2,50,20,hwnd,0,hInst,0
	mov hLblRadix,eax
	invoke CreateWindowEx,WS_EX_STATICEDGE,ADDR szCEdit, ADDR hText,	WS_VISIBLE or WS_CHILD or WS_BORDER or ES_LEFT or ES_MULTILINE or ES_WANTRETURN or WS_VSCROLL or WS_CLIPSIBLINGS,0,0,200,170,hwnd,0,hInst,0
	mov hText,eax
	;invoke CreateWindowEx, 0 ,ADDR szCStatusBar, ADDR hStatusBar,	 WS_CHILD or WS_VISIBLE or WS_SIZEBOX, 0, 0, 0, 0,hwnd,49,hInst,0
	;mov hStatusBar,eax
	
	;------------------------------------------------
	;	WinMain Code
	;------------------------------------------------
			
		;-----------------------------
		;	Show Window
		;-----------------------------
			
			invoke ShowWindow, hwnd, SW_SHOWNORMAL 
			invoke UpdateWindow, hwnd
			
		;-----------------------------
		;	Message Loop
		;-----------------------------
			
			jmp @F
			StartLoop:
			  invoke TranslateMessage,ADDR msg
			  invoke DispatchMessage, ADDR msg
			@@:
			  invoke GetMessage,ADDR msg,NULL,0,0
			  test eax, eax
			  jnz StartLoop
			
	mov eax, msg.wParam
	ret
WinMain endp
WndProc Proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM

	.if uMsg==WM_CREATE
		mov dword ptr szFilePath, 0
		mov dword ptr szFileName, 0
		
			invoke CreateStatusWindow,WS_CHILD or WS_VISIBLE or SBS_SIZEGRIP , 0, hWnd, 444
			mov hStatusBar,eax
			invoke SendMessage,eax,SB_SETPARTS, 5, Offset StatusWidths
			
	.elseif uMsg==WM_COMMAND
		mov eax,wParam
		and eax, 0FFh
		.if eax == BN_CLICKED
			
		.elseif eax==IDM_FILE_NEW
		
					;-----------------------------
					;  Set Windows
					;-----------------------------
					
					invoke SetWindowText, hRadix, 0
					invoke SetWindowText, hText, 0
					
					;---------------------------
					; Deallocate Buffers
					;---------------------------
						invoke Jumber_FreeRadix
						invoke Jumber_FreeText
						invoke Jumber_FreeTally
						
		.elseif eax==IDM_FILE_OPEN
			;-----------------------------
			; Request info from user
			;-----------------------------
				invoke GetOpenFileName, Offset ofn
				.if eax!=0
					;---------------------------
					;  Initialize:
					;    pGlobalTally
					;    pGlobalRadix
					;    pGlobalText
					;    SizeGlobalTally
					;    SizeGlobalRadix
					;    SizeGlobalText
					;---------------------------
					
					 invoke LoadFile
				
					;-----------------------------
					;  Generate Text
					;-----------------------------
					
					invoke DecipherTally
					
					;-----------------------------
					;  Set Windows
					;-----------------------------
					
					invoke SetWindowText, hRadix, pGlobalRadix
					invoke SetWindowText, hText, pGlobalText
					
					;---------------------------
					; Deallocate Buffers
					;---------------------------
						invoke Jumber_FreeRadix
						invoke Jumber_FreeText
						invoke Jumber_FreeTally
			   		 
				.endif
				
		.elseif eax==IDM_FILE_SAVE
					;-----------------------------
					; Request info from user
					;-----------------------------
					invoke GetSaveFileName, Offset ofn
					.if eax!=0
						
						;---------------------------
						; Allocate Buffers
						;---------------------------
							
							invoke Jumber_NewTally
							mov SizeGlobalTally, 0
							
							invoke GetWindowTextLength, hRadix
							add eax, 1
							invoke Jumber_NewRadix, eax
							
							invoke GetWindowTextLength, hText
							add eax, 1
							invoke Jumber_NewText, eax
							
							
						;---------------------------
						; Initialize Buffers
						;---------------------------
							
							invoke GetWindowText, hRadix, pGlobalRadix, SizeGlobalRadix
							invoke GetWindowText, hText, pGlobalText, SizeGlobalText
							
						;---------------------------
						; Generate Tally
						;---------------------------
							
							invoke GenerateTally
							.if eax!=0
								;---------------------------
								; Save the File
								;---------------------------
									
									invoke SaveFile
									
							.else
							
								invoke MessageBox, hWnd, $String("Error Saving"), $String("Error"), MB_ICONERROR or MB_OK
							.endif
							
						;---------------------------
						; Deallocate Buffers
						;---------------------------
							invoke Jumber_FreeRadix
							invoke Jumber_FreeText
							invoke Jumber_FreeTally
							
					.endif
			
		.elseif eax==IDM_HELP_ABOUT
			invoke MessageBox, NULL,$String("This program is for Jumbers"), Offset szAppName, MB_OK
		.else
			invoke DestroyWindow, hWnd
		.endif
	.elseif	uMsg == WM_DESTROY
		invoke PostQuitMessage,NULL
	.elseif uMsg== WM_SIZE
		mov eax,lParam
		mov edx,eax
		shr edx,16
		and eax,0ffffh
		push edx
		sub edx, 50
		push eax
		sub eax, 2
		invoke MoveWindow,hText,2,25,eax,edx,TRUE
		mov eax, dword ptr [esp]
		sub eax, 55
		invoke MoveWindow,hRadix,55,2,eax,20,TRUE
		pop eax
		pop edx
		sub edx, 23
		sub eax, 2
		invoke MoveWindow,hStatusBar,2,edx,eax,23,TRUE
	.else
		invoke DefWindowProc, hWnd, uMsg, wParam, lParam
		ret
	.endif
	xor eax,eax
	ret
WndProc ENDP


SaveFile PROC
LOCAL sizeHigh:DWORD,  sizeLow:DWORD,
	  hCreateFile:DWORD,
	  hCreateFileMapping:DWORD, 
	  hMapViewOfFile:DWORD
	  
				;-----------------------------
				;  Zerofy
				;-----------------------------
  					mov hCreateFile, 0
  					mov hCreateFileMapping,0
  					mov hMapViewOfFile, 0	
					mov sizeHigh, 0
					
				;-----------------------------
				;  Get Header Size
				;-----------------------------
					mov eax, 4 + 4 ;  Size, Size
				;-----------------------------
				;  Add #Bytes of Tally
				;-----------------------------
					mov ecx, SizeGlobalTally
					add ecx, 1
					shl ecx, 2
				;-----------------------------
				;  Add #Bytes of Radix (round dword)
				;-----------------------------
					mov edx, SizeGlobalRadix
					add edx, 3
					and edx, 0FFFFFFFCh
				;-----------------------------
				;  Set Size
				;-----------------------------
					add eax, ecx
					add eax, edx
					mov sizeLow, eax
					
				;-----------------------------------------------
				;  START MEMORY MAPPING PROCESS
				;-----------------------------------------------
				
						invoke CreateFile, ofn.OPENFILENAME.lpstrFile, GENERIC_READ or GENERIC_WRITE,0, NULL, CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, NULL
						mov hCreateFile, eax
						.if eax ==0
							invoke MessageBox, 0, $String("CreateFile"), $String("Save Error"), MB_OK
							jmp ErrorSave
						.endif
					;-----------------------------
					;  CreateFileMapping 
					;-----------------------------
						invoke CreateFileMapping, hCreateFile, NULL, PAGE_READWRITE,  sizeHigh, sizeLow, NULL
						mov hCreateFileMapping, eax
						.if eax ==0
							invoke MessageBox, 0, $String("CreateFileMapping"), $String("Save Error"), MB_OK
							jmp ErrorSave
						.endif
					;-----------------------------
					;  MapViewOfFile 
					;-----------------------------
						invoke MapViewOfFile, hCreateFileMapping,  FILE_MAP_ALL_ACCESS, 0, 0, 0
						mov hMapViewOfFile, eax
						.if eax ==0
							invoke MessageBox, 0, $String("MapViewOfFile"), $String("Save Error"), MB_OK
							jmp ErrorSave
						.endif
						
					;-----------------------------
					;  COPY DATA
					;-----------------------------

					;-----------------------
					; SizeGlobalTally
					; SizeGlobalRadix
					; GlobalTally[]
					; GlobalRadix[]
					;-----------------------
							;-----------------------------
							;  Writing to: File Map
							;-----------------------------
								mov edi, hMapViewOfFile
								
							;-----------------------------
							;  Write Sizes
							;-----------------------------
								mov eax, SizeGlobalTally
								mov edx, SizeGlobalRadix
								mov dword ptr [edi], eax
								mov dword ptr [edi+4], edx
								add edi, 8
							;-----------------------------
							;  Writing from: Tally
							;-----------------------------
								mov esi, pGlobalTally
								mov ecx, SizeGlobalTally
								add ecx, 1
								rep movsd
							;-----------------------------
							;  Writing from: Radix
							;-----------------------------
								mov esi, pGlobalRadix
								mov ecx, SizeGlobalRadix
								rep movsb

						
					;-----------------------------
					;  DONE
					;-----------------------------
					
					ErrorSave:
					;-----------------------------
					;  UnmapViewOfFile 
					;-----------------------------
						.if hMapViewOfFile!=0
							invoke UnmapViewOfFile, hMapViewOfFile
						.endif
						.if hCreateFileMapping!=0
							invoke CloseHandle, hCreateFileMapping
						.endif
						.if hCreateFile!=0
							invoke CloseHandle, hCreateFile
						.endif
						
	ret
SaveFile ENDP

;-----------------------
; On the todo list
;-----------------------
LoadFile PROC
LOCAL hCreateFile:DWORD,
	  hCreateFileMapping:DWORD, 
	  hMapViewOfFile:DWORD,
	  SizeLoadRadix:DWORD
	  
				;-----------------------------
				;  Zerofy
				;-----------------------------
  					mov hCreateFile, 0
  					mov hCreateFileMapping,0
  					mov hMapViewOfFile, 0	
  					
					
					
		;-----------------------------------------------
		;  START MEMORY MAPPING PROCESS
		;-----------------------------------------------
			
			;-----------------------------
			;  CreateFile
			;-----------------------------
			
				invoke CreateFile, Offset szFilePath,GENERIC_READ,0, NULL, OPEN_EXISTING, FILE_ATTRIBUTE_NORMAL, NULL
				mov hCreateFile, eax
				.if eax ==0
					invoke MessageBox, 0, $String("CreateFile"), $String("Load Error"), MB_OK
					jmp ErrorLoad
				.endif
			;-----------------------------
			;  CreateFileMapping 
			;-----------------------------
				invoke CreateFileMapping, hCreateFile, NULL, PAGE_READONLY,  0, 0, NULL
				mov hCreateFileMapping, eax
				.if eax ==0
					invoke MessageBox, 0, $String("CreateFileMapping"), $String("Load Error"), MB_OK
					jmp ErrorLoad
				.endif
			;-----------------------------
			;  MapViewOfFile 
			;-----------------------------
				invoke MapViewOfFile, hCreateFileMapping,  FILE_MAP_READ, 0, 0, 0
				mov hMapViewOfFile, eax
				.if eax ==0
					invoke MessageBox, 0, $String("MapViewOfFile"), $String("Load Error"), MB_OK
					jmp ErrorLoad
				.endif
						



					;-----------------------------
					;  COPY DATA
					;-----------------------------

					;-----------------------
					; SizeGlobalTally
					; SizeGlobalRadix
					; GlobalTally[]
					; GlobalRadix[]
					;-----------------------
							;-----------------------------
							;  Reading from: File Map
							;-----------------------------
								mov esi, hMapViewOfFile
								
							;-----------------------------
							;  Copy Sizes
							;-----------------------------
								mov eax, dword ptr [esi]
								mov edx, dword ptr [esi+4]
								mov SizeGlobalTally, eax
								mov SizeLoadRadix, edx
								add esi, 8
								
							;-----------------------------
							;  Allocate Memory For Tally
							;-----------------------------
								invoke Jumber_NewTally
							;-----------------------------
							;  Writing to: Tally
							;-----------------------------
								mov edi, pGlobalTally
								mov ecx, SizeGlobalTally
								add ecx, 1
								rep movsd
								
							;-----------------------------
							;  Allocate Memory For Radix
							;-----------------------------
								invoke Jumber_NewRadix, SizeLoadRadix
							;-----------------------------
							;  Writing to: Radix
							;-----------------------------
								mov edi, pGlobalRadix
								mov ecx, SizeLoadRadix
								rep movsb



			;-----------------------------
			;  DONE
			;-----------------------------
			
			ErrorLoad:
			;-----------------------------
			;  UnmapViewOfFile 
			;-----------------------------
				.if hMapViewOfFile!=0
					invoke UnmapViewOfFile, hMapViewOfFile
				.endif
				.if hCreateFileMapping!=0
					invoke CloseHandle, hCreateFileMapping
				.endif
				.if hCreateFile!=0
					invoke CloseHandle, hCreateFile
				.endif
				
				
			
			
	ret
LoadFile ENDP








comment ^
AddCharToRadix PROC char:BYTE
	
    mov eax, pGlobalRadix
    add SizeGlobalRadix, 1
    mov ecx, SizeGlobalRadix
    
	movzx edx, char
	mov byte ptr [eax+ecx-1],dl
	mov byte ptr [eax+ecx],0
	   
	invoke SetWindowText,hRadix,eax
	ret
AddCharToRadix EndP

RadixNotMatched PROC index:DWORD, charmb:BYTE
LOCAL boolStillSave:DWORD
	invoke SetWindowText, hStatusBar, ADDR szStatus1
	invoke SetFocus,hText
	mov eax, index
	add eax, 1
	invoke SendMessage,hText,EM_SETSEL,index,eax
	invoke LockWindowUpdate,hText
	invoke MessageBox,0, ADDR szQueryAddChar, ADDR szStatus1,MB_OKCANCEL
    .if eax == 1; IDOK
    	invoke AddCharToRadix, charmb
			invoke SetFocus,hText
			mov eax, index
			invoke SendMessage,hText,EM_SETSEL,index,eax
   		mov boolStillSave,TRUE;;;;;;;;;
    .elseif eax == 2; IDCANCEL
			invoke SetFocus,hText
			mov eax, index
			add eax, 1
			invoke SendMessage,hText,EM_SETSEL,index,eax
   		mov boolStillSave,FALSE;;;;;;;
	.endif
	invoke LockWindowUpdate,0
	
	mov eax, boolStillSave;;;;;;;;
	ret
RadixNotMatched EndP
^





; 
align 4

OPTION PROLOGUE:NONE
OPTION EPILOGUE:NONE

SzCopy_dw proc lpsrc:DWORD,lpdest:DWORD
    push  ebx
    mov   eax,[esp+8]           ; lpsrc
    mov   edx,[esp+12]          ; lpdest
    align 4
  @@:
    REPEAT 8                    ; unroll x 8
      mov   ebx,[eax]           ; get next 4 bytes
      add   eax,4
      lea   ecx,[ebx-01010101h] ; subtract 1 from each byte
      not   ebx                 ; invert all bytes      
      and   ecx,ebx             ; and each byte with inversion
      not   ebx                 ; restore bytes
      and   ecx,80808080h       ; bytes=80h for null,otherwise 0
      jnz   @F                  ; jump if zero byte present
      mov   [edx],ebx           ; copy 4 bytes
      add   edx,4
    ENDM
    jmp   @B
  @@:
    mov   [edx],bl              ; move first byte
    add   edx,1
    test  bl,bl
    jz    @F                    ; jump if was null
    mov   [edx],bh              ; move next byte
    add   edx,1
    test  bh,bh
    jz    @F                    ; jump if was null
    shr   ebx,16
    mov   [edx],bl              ; move next byte
    add   edx,1
    test  bl,bl
    jz    @F                    ; jump if was null
    mov   [edx],bh              ; move last byte
  @@:
    mov   eax,edx               ; return length w/o null
    sub   eax,[esp+12]          ; lpdest

    pop   ebx
    ret   8
SzCopy_dw endp

OPTION PROLOGUE:PrologueDef 
OPTION EPILOGUE:EpilogueDef

; 



End Start